# class toResultPie

Display the result of a query in a piechart. More...

Definition | `#include <toresultpie.h>`
Inherits | toPieChart [public ], toResult [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultPie (QWidget *parent,const char *name=NULL)
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &)
- void stop ()
- void start ()
- void setLabelFirst (bool first)
- bool labelFirst (void)
- void setFilter (const QRegExp &filter,const QRegExp &valueFilter)
- const QRegExp & filter (void)
- const QRegExp & valueFilter (void)
- void setSQL (const QString &sql)
- void setSQL (const toSQL &sql)
- void query (const QString &sql)
- void query (const toSQL &sql)
- void query (const toSQL &sql,toQList &par)

#### Public Slots

- virtual void refresh (void)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

## Detailed Description

Display the result of a query in a piechart. The first column of the query should contain the value and the second should contain an optional label.

toResultPie (QWidget *parent,const char *name=NULL)

### toResultPie

Create widget.

Parameters:

parent | Parent of list.
name | Name of widget.

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResult.

bool canHandle (toConnection &)

### canHandle

[virtual]

Reimplemented from toResult.

void stop ()

### stop

Stop automatic updating from tool timer.

void start ()

### start

Start automatic updating from tool timer.

void setLabelFirst (bool first)

### setLabelFirst

Indicate that the first column should be the label.

bool labelFirst (void)

### labelFirst

Check label first status.

void setFilter (const QRegExp &filter,const QRegExp &valueFilter)

### setFilter

Set a filter on which columns to add based on label.

Parameters:

filter | A regexp which the label must match.
valueFilter | A regexp which the value must match.

const QRegExp & filter (void)

### filter

Get the current filter.

const QRegExp & valueFilter (void)

### valueFilter

Get the current value filter.

void setSQL (const QString &sql)

### setSQL

Set the SQL statement of this list

Parameters:

sql | String containing statement.

Reimplemented from toResult.

void setSQL (const toSQL &sql)

### setSQL

Set the SQL statement of this list. This will also affect Name.

Parameters:

sql | SQL containing statement.

Reimplemented from toResult.

void query (const QString &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (const toSQL &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (const toSQL &sql,toQList &par)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void refresh (void)

### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2)

### changeParams

[virtual slot]

Reimplemented For internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.